package com.hrmanager.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.hrmanager.mapper.DeptMapper;
import com.hrmanager.model.Dept;
import com.hrmanager.service.DeptService;

@Service
@Transactional
public class DeptServiceImp implements DeptService {
	
	@Autowired
	private DeptMapper deptMapper;

	
	@Override
	public List<Dept> getAllDept() {
		return deptMapper.getAllDept();
	}

	@Override
	public Dept getByIdDept(int depId) {
		return deptMapper.getByIdDept(depId);
	}

}
